<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>myConstants &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>myConstants
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 1.4% of total for derived types.</p>Including implementation: 15 statements,  0.1% of total for derived types.">15 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/physicalConstants.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/physicalconstants.f03.html'>physicalConstants.f03</a></li>
    
     <li><a href='../module/physicalconstants.html'>physicalConstants</a></li>
    
  
     <li class="active">myConstants</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/myconstants.html#variable-interptype">interpType</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-reology">reology</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-a">a</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-k">k</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-m">m</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-n">n</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-nu0">nu0</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-nuinf">nuInf</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-numin">nuMin</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-numax">nuMax</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-tau0">tau0</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-pr">Pr</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-g">g</a>
      
    </div>
  </div>
</div>





















</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: myConstants</h2>
    
    
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/myconstants.html#variable-interptype">interpType</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-reology">reology</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-a">a</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-k">k</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-m">m</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-n">n</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-nu0">nu0</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-nuinf">nuInf</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-numin">nuMin</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-numax">nuMax</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-tau0">tau0</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-pr">Pr</a>
      
      <a class="list-group-item" href="../type/myconstants.html#variable-g">g</a>
      
    </div>
  </div>
</div>





















    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-interptype"></span>character,</td>
  
  <td>public,</td>
  <td>allocatable</td><td>::</td>
  <td><strong>interpType</strong></td><td></td><td></td><td><p>Face interpolation type for physical quantities</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-reology"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>reology</strong></td><td></td><td></td><td><p>Reologic model</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-a"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>a</strong></td><td></td><td></td><td><p>Reological constant a</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-k"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>k</strong></td><td></td><td></td><td><p>Reological constant k</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-m"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>m</strong></td><td></td><td></td><td><p>Reological constant m</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-n"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>n</strong></td><td></td><td></td><td><p>Reological constant n</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nu0"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nu0</strong></td><td></td><td></td><td><p>Reological constant nu0</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nuinf"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nuInf</strong></td><td></td><td></td><td><p>Reological constant nuInf</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numin"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nuMin</strong></td><td></td><td></td><td><p>Reological constant nuMax</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numax"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nuMax</strong></td><td></td><td></td><td><p>Reological constant nuMax</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tau0"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>tau0</strong></td><td></td><td></td><td><p>Reological constant tau0</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-pr"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Pr</strong></td><td></td><td></td><td><p>Prandtl number</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-g"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>g</strong>(3)</td><td></td><td></td><td><p>Gravity</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>